OpenVDB 12.1.0

Loading...
Searching...
No Matches
Mask< LOG2DIM >::Iterator< On > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
__hostdev__ | Iterator ()
__hostdev__ | Iterator (uint32_t pos, const Mask *parent)
Iterator & | operator= (const Iterator &)=default
__hostdev__ uint32_t | operator* () const
__hostdev__ uint32_t | pos () const
__hostdev__ | operator bool () const
__hostdev__ Iterator & | operator++ ()
__hostdev__ Iterator | operator++ (int)

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

template<uint32_t LOG2DIM>
template<bool On>

__hostdev__ Iterator | ( |  | ) |
| inline

## ◆ Iterator() [2/2]

template<uint32_t LOG2DIM>
template<bool On>

__hostdev__ Iterator | ( | uint32_t | pos,
|  | const Mask * | parent )
| inline

## Member Function Documentation

## ◆ operator bool()

template<uint32_t LOG2DIM>
template<bool On>

__hostdev__ operator bool | ( |  | ) | const
| inline

## ◆ operator*()

template<uint32_t LOG2DIM>
template<bool On>

__hostdev__ uint32_t operator* | ( |  | ) | const
| inline

## ◆ operator++() [1/2]

template<uint32_t LOG2DIM>
template<bool On>

__hostdev__ Iterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<uint32_t LOG2DIM>
template<bool On>

__hostdev__ Iterator operator++ | ( | int |  | ) |
| inline

## ◆ operator=()

template<uint32_t LOG2DIM>
template<bool On>

Iterator & operator= | ( | const Iterator< On > & |  | ) |
| default

## ◆ pos()

template<uint32_t LOG2DIM>
template<bool On>

__hostdev__ uint32_t pos | ( |  | ) | const
| inline